import { jsx } from "react/jsx-runtime";
import { HandSoapIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const HandSoap = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "HandSoap", ...props, children: /* @__PURE__ */ jsx(HandSoapIcon, { weight: variant }) });
  }
);
HandSoap.displayName = "HandSoap";
Object.assign(HandSoap, { isGdsIcon: true });
export {
  HandSoap
};
